HXPRINTLINKS(1)

NAME
hxprintlinks - add a numbered list of links at the end of an HTML file

SYNOPSIS
hxprintlinks [ -b base ] file-or-URL

DESCRIPTION
hxprintlinks adds a numbered list of all URLs (links) found in the file to the end of the HTML file.

OPTIONS
The following options are supported:

-b base
    Make the URLs in the list absolute, using base as the base URL.

OPERANDS
The following operand is supported:

file-or-URL
    The file to work on. If the argument is absent, or if it is - (a single dash), the document is read from the standard input.

SEE ALSO
hxcopy(1)

BUGS

The option -b is probably of limited use. It makes the links in the generated list absolute, but doesn't change the other links. For a more flexible solution, use hxcopy(1) on the output of hxprintlinks. E.g., instead of hxprintlinks -b http://example.org/base/ myfile.html use hxprintlinks myfile.html | hxcopy -i http://example.org/base -o .